For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Dashboard
How It WorksKnowledge BaseOnboardingVideo TutorialsPMS GuidanceAPI ReferenceRelease Notes
    • Overview
    • PMS Generic APIs
    • CRM Generic APIs
    • PMS APIs
        • GETGet all leases
        • GETGet a lease by ID
        • PUTUpdate Lease: Propertyware REST
        • PUTUpdate Lease Custom Data: Propertyware REST
        • POSTCreate Lease File: Propertyware REST
    • CRM APIs
    • Download OpenAPI Spec
Dashboard
LogoLogo
Propertyware RESTLeases

Update Lease: Propertyware REST

PUT
/v1/leases/propertyware_rest/:lease_id
PUT
/v1/leases/propertyware_rest/:lease_id
$curl -X PUT https://api.propexo.com/v1/leases/propertyware_rest/lease_id \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json" \
> -d '{}'
1{
2 "meta": {
3 "job_id": "job_9f8b7c6d5e4a3b2c1d0e"
4 },
5 "result": {
6 "lease_id": "lease_1234567890abcdef",
7 "unit_id": "unit_9876543210fedcba",
8 "primary_contact_id": "contact_1122334455aabbcc",
9 "tenant_ids": [
10 "tenant_5566778899ddeeff",
11 "contact_1122334455aabbcc"
12 ],
13 "start_date": "2024-05-01",
14 "end_date": "2025-04-30",
15 "move_in_date": "2024-05-01",
16 "move_out_date": "2025-04-30",
17 "scheduled_move_out_date": "2025-04-15",
18 "status": "Active",
19 "rent_amount_in_cents": 150000,
20 "notes": "Lease updated to reflect new rent and move-out schedule.",
21 "signature_date": "2024-04-20",
22 "deposit_amount_in_cents": 150000,
23 "deposit_charge_date": "2024-04-22"
24 }
25}
Update Lease: Propertyware REST | Method | Interface | |---|---| | PUT /v1/leases | Leases |
Was this page helpful?
Previous

Update Lease Custom Data: Propertyware REST

Next
Built with

Update Lease: Propertyware REST

MethodInterface
PUT /v1/leasesLeases

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

lease_idstringRequired
The ID of the resource.

Request

This endpoint expects an object.
unit_idstringOptional
The Propexo unique identifier for the unit
primary_contact_idstringOptional
The Propexo unique identifier of the primary contact. This must either be a lead, applicant, or resident in Propexo
tenant_idslist of stringsOptional
An array of Propexo lead, applicant, or resident IDs. This must also include the primary contact ID
start_datestringOptional
The start date associated with the lease
end_datestringOptional
The end date associated with the lease
move_in_datestringOptional

The move-in date associated with the lease. This must come before move_out_date

move_out_datestringOptional

The move-out date associated with the lease. This must come before move_in_date

scheduled_move_out_datestringOptional

The scheduled move-out date associated with the lease. This must come before move_in_date

statusenumOptional
The status associated with the lease
Allowed values:
rent_amount_in_centsintegerOptional>=0
The rent amount in cents for the lease
notesstringOptional
Notes associated with the lease
signature_datestringOptional
The signature date of the lease
deposit_amount_in_centsintegerOptional>=0
The deposit amount in cents associated with the lease
deposit_charge_datestringOptional
The deposit date associated with the lease

Response

Successful response
metaobject
resultobject

Errors

400
Bad Request Error